Get Environment Transfer

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/environmenttransfer
API call form
Examples
List of examples
  • Retrieve a finished export
  • Retrieve a finished import plan
  • Retrieve a finished import apply
  • Retrieve a rejected import apply
  • Retrieve a failed job
  • List the jobs of your organization
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "id": "b2d4f6a8-1c3e-4a5b-8d7f-9e1a3c5b7d92",
  "type": "import",
  "mode": "plan",
  "name": null,
  "status": "done",
  "result": {
    "plan": {
      "create": [
        {
          "resource_type": "dashboard",
          "source_id": "0a8e4c2f-6b1d-4e9a-a3c5-7f2b9d1e5c38",
          "name": "Sales overview"
        },
        {
          "resource_type": "dataset",
          "source_id": "4c6e8a0b-2d4f-4b6a-8c0e-1a3b5d7f9e21",
          "name": "Orders"
        }
      ],
      "update": [
        {
          "resource_type": "theme",
          "source_id": "8e0a2c4d-6f8b-4a1c-9e3d-5b7f9a1c3e65",
          "name": "Brand theme",
          "target_id": "3d5f7b9e-1a3c-4e5f-8b7d-9f1a3c5e7b04",
          "changed_columns": [
            "theme"
          ]
        }
      ],
      "unchanged": [],
      "needs_input": [
        {
          "resource_type": "connection",
          "source_id": "1f3b5d7a-9c2e-4f6b-8a0d-2c4e6a8b0d17",
          "name": "Production warehouse",
          "reason": "Map it to an existing connection."
        }
      ],
      "blocked": []
    },
    "connections": [
      {
        "source_id": "1f3b5d7a-9c2e-4f6b-8a0d-2c4e6a8b0d17",
        "name": "Production warehouse",
        "provider": "postgresql",
        "plugin_source_id": null,
        "status": "needs_input",
        "target_id": null,
        "reason": "Map it to an existing connection.",
        "dataset_source_ids": [
          "4c6e8a0b-2d4f-4b6a-8c0e-1a3b5d7f9e21"
        ]
      }
    ],
    "plan_hash": "9f2c4e6a8b0d1f3a5c7e9b1d3f5a7c9e1b3d5f7a9c1e3b5d7f9a1c3e5b7d9f1a"
  },
  "error": null,
  "created_at": "2026-10-30T11:02:10.000Z",
  "created_by": {
    "id": "9c3e5a7b-1d2f-4e6a-8b0c-4d6f8a0b2c35",
    "name": "Alex Smith",
    "email": "alex@example.com"
  }
}